LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRelocatableResource Interface Reference

An optional interface that is implemented by resources that are relocatable to different anchors. More...

`import"XRelocatableResource.idl";`

## Public Member Functions
boolean | relocateToAnchor ([in] XResource xNewAnchor)
| Replace the current anchor of the called resource with the given one. More...

## Detailed Description

An optional interface that is implemented by resources that are relocatable to different anchors.

## Member Function Documentation

## ◆ relocateToAnchor()

boolean relocateToAnchor | ( | [in] XResource | xNewAnchor | ) |

Replace the current anchor of the called resource with the given one.

Parameters

  xNewAnchor | The new anchor.

Returns
  Returns `TRUE` when the relocation was successful.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XRelocatableResource.idl